package cn.iocoder.yudao.module.system.service.yk;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.yk.vo.YkDeliveryStatsDetailReqVO;
import cn.iocoder.yudao.module.system.controller.admin.yk.vo.deliveryPerson.*;
import cn.iocoder.yudao.module.system.dal.dataobject.yk.YkDeliveryStaffInfoDO;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * 送餐员信息 Service 接口
 *
 * @author 系统管理员
 */
public interface DeliveryPersonInfoService {

    /**
     * 创建送餐员信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeliveryPersonInfo(DeliveryPersonInfoCreateReqVO createReqVO);

    /**
     * 更新送餐员信息
     *
     * @param updateReqVO 更新信息
     */
    void updateDeliveryPersonInfo(@Valid DeliveryPersonInfoUpdateReqVO updateReqVO);

    /**
     * 删除送餐员信息
     *
     * @param id 编号
     */
    void deleteDeliveryPersonInfo(Long id);

    /**
     * 获得送餐员信息
     *
     * @param id 编号
     * @return 送餐员信息
     */
    YkDeliveryStaffInfoDO getDeliveryPersonInfo(Long id);

    /**
     * 获得送餐员信息列表
     *
     * @param ids 编号
     * @return 送餐员信息列表
     */
    List<YkDeliveryStaffInfoDO> getDeliveryPersonInfoList(List<Long> ids);

    /**
     * 获得送餐员信息分页
     *
     * @param pageReqVO 分页查询
     * @return 送餐员信息分页
     */
    PageResult<YkDeliveryStaffInfoDO> getDeliveryPersonInfoPage(DeliveryPersonInfoPageReqVO pageReqVO);


    Map<String, Object> getDeliveryStatsDetail(YkDeliveryStatsDetailReqVO reqVO);

    Map<String, Object> getDeliveryStatsRangeDetail(String startDate, String endDate, Long tenantId);

    Map<String, Object> getDeliveryStatsRangeDetail(String startDate, Long tenantId);
}